org.springframework.web.socket.sockjs.transport

## Enum TransportType

- java.lang.Object
- - java.lang.Enum<TransportType>
  - - org.springframework.web.socket.sockjs.transport.TransportType

All Implemented Interfaces:
  Serializable, Comparable<TransportType>

    public enum TransportType
    extends Enum<TransportType>

SockJS transport types.

Since:
  4.0
Author:
  Rossen Stoyanchev, Sebastien Deleuze

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EVENT_SOURCE`
`HTML_FILE`
`WEBSOCKET`
`XHR`
`XHR_SEND`
`XHR_STREAMING`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TransportType` `fromValue(String value)`
`org.springframework.http.HttpMethod` `getHttpMethod()`
`boolean` `sendsNoCacheInstruction()`
`boolean` `sendsSessionCookie()`
`boolean` `supportsCors()`
`boolean` `supportsOrigin()`
`String` `toString()`
`String` `value()`
`static TransportType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TransportType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### WEBSOCKET

    public static final TransportType WEBSOCKET

#### XHR

    public static final TransportType XHR

#### XHR_SEND

    public static final TransportType XHR_SEND

#### XHR_STREAMING

    public static final TransportType XHR_STREAMING

#### EVENT_SOURCE

    public static final TransportType EVENT_SOURCE

#### HTML_FILE

    public static final TransportType HTML_FILE

### Method Detail

#### values

    public static TransportType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TransportType c : TransportType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TransportType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromValue

    @Nullable
    public static TransportType fromValue(String value)

#### value

    public String value()

#### getHttpMethod

    public org.springframework.http.HttpMethod getHttpMethod()

#### sendsNoCacheInstruction

    public boolean sendsNoCacheInstruction()

#### sendsSessionCookie

    public boolean sendsSessionCookie()

#### supportsCors

    public boolean supportsCors()

#### supportsOrigin

    public boolean supportsOrigin()

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<TransportType>`